<template>
    <v-row justify="space-around">

        <v-col cols="auto">
            <v-dialog
                max-width="350"
                v-model="controlModal"
            >

            <template v-slot:default="dialog">

                <v-card>
                    <v-card-title class="text-h5 grey lighten-2">
                        {{titleText}}
                    </v-card-title>
    
                    <v-card-text>
                        <v-alert
                            class="mt-2"
                            border="top"
                            :color="notiType"
                            dark
                        >
                            {{bodyText}}
                        </v-alert>
                    </v-card-text>
    
                    <v-divider></v-divider>
    
                    <v-card-actions>
                        <v-spacer></v-spacer>
                        <v-btn
                            color="primary"
                            text
                            @click="dialog.value = false"
                        >
                            Cerrar
                        </v-btn>
                    </v-card-actions>
                </v-card>
            </template>


            </v-dialog>
        </v-col>
    </v-row>

</template>

<script setup>
    import { ref } from 'vue';

    //const props = defineProps(['title', 'message', 'type'])
    const controlModal = ref(false);

    const titleText = ref("")
    const bodyText = ref("")
    const notiType = ref("")

    function openModal(title, body, type) {
        titleText.value = title
        bodyText.value = body
        switch(type) {
            case 0:
                notiType.value = "blue darken-4";
                break;
            case 1:
                notiType.value = "green darken-4";
                break;
            case 2:
                notiType.value = "red lighten-2"
                break;
            default:
                notiType.value = "grey darken-2"

        }
        controlModal.value = true
    }

    function closeModal() {
        controlModal.value = false
    }

    defineExpose({
        openModal,
        closeModal
    })

</script>

<style>

</style>